/* This script and many more are available free online at
The JavaScript Source :: http://www.javascriptsource.com
Created by: Ivan Iraola :: http://www.cybexmag.com */

/* Critique: The code uses a function called DoSearch() to obtain a radio button response. 1st radio button
set flag=1, 2nd radio button sets flag=2 and 3rd radio button set flag=3. It is important to initialize the 
flag=0 prior to If statments. The code also uses function arrays document.Toolbox.SearchOption() and 
document.ToolBox.SearchBox.value to store the radio button option chosen and the search term entered.
There are sufficient validation in the code to check for null response and to prompt for a response if 
required. 

Variables:
Flag records the option from the radio button
Engine converts the radio button option into the required search engine and stores it
Query stores the search box word chosen to search for
location.href is use to store the search engine option chosen + the search term

The search results are finally displayed using Frameset and opens up in the same windows as the website

The code could have been made better by openning up the search engine in a  separate window */

function DoSearch() { 

// Stores the value of the input from the radio button in the Flag variable. Variable needs to be initialized
  var Flag = 0;
  
// If loop checks if the 1st radio button was choosen to search google only
  if (document.ToolBox.SearchOption[0].checked==true) {
    var Flag = 1;
    var Engine = document.ToolBox.SearchOption[0].value;
    var Query = document.ToolBox.SearchBox.value;
    var locName = "http://www.google.com/search?hl=en&q=";
      if (Query == "") {
        alert("Please enter a search term");
        return;
      }
    location.href = (locName + Query)
  }
  
  // If loop checks if the 2nd radio button was choosen to search yahoo only
  if (document.ToolBox.SearchOption[1].checked==true) {
    var Flag = 1;
    var Engine = document.ToolBox.SearchOption[1].value;
    var Query = document.ToolBox.SearchBox.value;
    var locName = "http://search.yahoo.com/search?p=";
	
	//Checks for null or no response in the search box and prompts for one
      if (Query == "") {
        alert("Please enter a search term");
        return;
      }
    location.href = (locName + Query)
  }

    // If loop checks if the 3rd radio button was choosen to search both yahoo and google 
  if (document.ToolBox.SearchOption[2].checked==true) {
    var Flag = 1;
    var Engine = document.ToolBox.SearchOption[2].value;
    var Query = document.ToolBox.SearchBox.value;
	
	//Checks for null response or no search term in the search bo and prompts user for a response
      if (Query == "") {
        alert("Please enter a search term");
        return;
      }
	  
	  	//displays the search result in the same window
    var searchPage = "<HTML>";
      searchPage += "\n";
      searchPage += "<FRAMESET ROWS=\"100%,100%,100%\">";
      searchPage += "\n";
      searchPage += "<FRAME SRC=\"http://www.google.com/search?hl=en&q=" + Query + "\">";
      searchPage += "\n";
      searchPage += "<FRAME SRC=\"http://search.yahoo.com/search?p=" + Query + "\">";
      searchPage += "\n";
      searchPage += "</FRAMESET>";
      searchPage += "\n";
      searchPage += "</HTML>";
      document.write(searchPage);
  }

  	//Checks for null or no response in the radio buttons and prompts for one
  if (Flag == 0) {
    alert("Please select a search engine");
  }
}
